Subject: [Pana] Comments from Tero Kivinen (2)

From: "Mohan Parthasarathy" <[email-masked]>
Date: Wed, 29 Sep 2004 10:38:45 -0700

This is the second part of his comments.

> Mohan Parthasarathy writes:
> > Thanks. I will fix that in the text. I am assuming i can post your
> > comments to the PANA list. 
> > Let me know.
> 
> Sure. Btw. I think the security considerations section also needs some
> more work bacuse of the use aggressive mode. I.e most people consider
> aggressive mode quite bad of its bad DoS properties. I.e. any random
> attacker can simply start flooding the first packets of the aggressive
> mode to the responder, and it needs to do heavy diffie hellman
> calculations to be able to process the packets.
> 
> Here we have things little bit better, as the EP/AR can verify the
> ID_KEY_ID before doing the Diffie-Hellman. As this ID_KEY_ID requires
> stuff that is sent from PAA to both PaC and EP/AR earlier (if I have
> understood things correctly), it does provide some protection against
> DoS attacks. I.e. now random attacker cannot do that, but it requires
> attacker who can listen the traffic between parties (depending how the
> traffic between PaC - PAA and PaC - EP/AR is protected).
> 
> So as this is making the aggressive mode little bit more resistance
> against DoS attacks, it might be worth of mentioning here too.
> 
> > 
> > -mohan
> > 
> > ----- Original Message ----- 
> > From: "Tero Kivinen" <[email-masked]>
> > To: "Mohan Parthasarathy" <[email-masked]>
> > Sent: Tuesday, September 28, 2004 4:19 AM
> > Subject: Re: PANA IPsec draft.
> > 
> > 
> > > Mohan Parthasarathy writes:
> > > > It is there in the PANA web site. draft-ietf-pana-ipsec-04.txt
> > > 
> > > I now read it through. Seemed to be ok, no major comments. There is
> > > one nit that might need changing:
> > > 
> > > ----------------------------------------------------------------------
> > > 6.0 IKE and IPsec details
> > > ...
> > >    pre-shared key. For the same reason, main mode of IKE cannot be used,  
> > >    as it requires addresses to be used as identifiers.  
> > > ----------------------------------------------------------------------
> > > 
> > > That is little bit funny way to say that thing, as someone might
> > > understand that so that IKEv1 main mode requires IDi and IDr to be
> > > addresses, when you are trying to say that as IDi and IDr are
> > > encrypted and you need to know the pre-shared key before you can
> > > decrypt them, you need to be able to select the pre-shared key based
> > > on the IP-addresses. 
> > > -- 
> > > [email-masked]
> -- 
> [email-masked]

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana

---

From: "Mohan Parthasarathy" <[email-masked]>
Date: Wed, 29 Sep 2004 14:40:06 -0700

Tero,

Thanks for your comments..

> > traffic between PaC - PAA and PaC - EP/AR is protected).
Yes, the "AAA-key" that is derived from EAP authentication is the hard to guess
part. I will mention this in the security consideration section.

Thanks
mohan